# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class AdminQueryBillStatisticsInfoRequest(JDCloudRequest):
    """
    查询消费统计信息
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(AdminQueryBillStatisticsInfoRequest, self).__init__(
            '/regions/{regionId}/accounting/adminQueryBillStatisticsInfo', 'POST', header, version)
        self.parameters = parameters


class AdminQueryBillStatisticsInfoParameters(object):

    def __init__(self, regionId, ):
        """
        :param regionId: 
        """

        self.regionId = regionId
        self.queryType = None
        self.pin = None
        self.appCode = None
        self.serviceCode = None
        self.billingType = None
        self.payType = None
        self.payState = None
        self.timeType = None
        self.startTime = None
        self.endTime = None
        self.ignoreZero = None
        self.resourceId = None
        self.site = None
        self.role = None
        self.region = None

    def setQueryType(self, queryType):
        """
        :param queryType: (Optional) 查询类别   1：资源账单   2：消费记录
        """
        self.queryType = queryType

    def setPin(self, pin):
        """
        :param pin: (Optional) 用户pin
        """
        self.pin = pin

    def setAppCode(self, appCode):
        """
        :param appCode: (Optional) 应用码
        """
        self.appCode = appCode

    def setServiceCode(self, serviceCode):
        """
        :param serviceCode: (Optional) 服务码
        """
        self.serviceCode = serviceCode

    def setBillingType(self, billingType):
        """
        :param billingType: (Optional) 付费类型
        """
        self.billingType = billingType

    def setPayType(self, payType):
        """
        :param payType: (Optional) 付费类型
        """
        self.payType = payType

    def setPayState(self, payState):
        """
        :param payState: (Optional) 付费状态
        """
        self.payState = payState

    def setTimeType(self, timeType):
        """
        :param timeType: (Optional) 1: 按账期 2：按消费时间
        """
        self.timeType = timeType

    def setStartTime(self, startTime):
        """
        :param startTime: (Optional) 开始时间
        """
        self.startTime = startTime

    def setEndTime(self, endTime):
        """
        :param endTime: (Optional) 结束时间
        """
        self.endTime = endTime

    def setIgnoreZero(self, ignoreZero):
        """
        :param ignoreZero: (Optional) 
        """
        self.ignoreZero = ignoreZero

    def setResourceId(self, resourceId):
        """
        :param resourceId: (Optional) 资源ID
        """
        self.resourceId = resourceId

    def setSite(self, site):
        """
        :param site: (Optional) 站点
        """
        self.site = site

    def setRole(self, role):
        """
        :param role: (Optional) 角色
        """
        self.role = role

    def setRegion(self, region):
        """
        :param region: (Optional) 区域
        """
        self.region = region

