# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class GetExpiringOrdersRequest(JDCloudRequest):
    """
    查询资源单列表接口，不含已删除资源
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(GetExpiringOrdersRequest, self).__init__(
            '/regions/{regionId}/getExpiringOrders', 'POST', header, version)
        self.parameters = parameters


class GetExpiringOrdersParameters(object):

    def __init__(self, regionId, ):
        """
        :param regionId: 
        """

        self.regionId = regionId
        self.id = None
        self.pin = None
        self.resourceId = None
        self.appCode = None
        self.serviceCodeList = None
        self.region = None
        self.networkOperator = None
        self.billingType = None
        self.resourceIdList = None
        self.expireInDays = None
        self.isOnTrial = None
        self.site = None
        self.status = None
        self.billingStatus = None
        self.expiringInDays = None
        self.billingTypeList = None
        self.transactionNos = None
        self.opTypes = None
        self.startTime = None
        self.endTime = None
        self.serviceCode = None
        self.statusList = None
        self.excludeResources = None
        self.orderByClaus = None
        self.node = None
        self.departmentId = None
        self.pinList = None
        self.isSpecial = None
        self.nodeCode = None
        self.timeout = None
        self.pageIndex = None
        self.pageSize = None
        self.offset = None

    def setId(self, id):
        """
        :param id: (Optional) 主键id
        """
        self.id = id

    def setPin(self, pin):
        """
        :param pin: (Optional) 用户pin
        """
        self.pin = pin

    def setResourceId(self, resourceId):
        """
        :param resourceId: (Optional) 资源id
        """
        self.resourceId = resourceId

    def setAppCode(self, appCode):
        """
        :param appCode: (Optional) appCode
        """
        self.appCode = appCode

    def setServiceCodeList(self, serviceCodeList):
        """
        :param serviceCodeList: (Optional) 产品码列表
        """
        self.serviceCodeList = serviceCodeList

    def setRegion(self, region):
        """
        :param region: (Optional) 地域
        """
        self.region = region

    def setNetworkOperator(self, networkOperator):
        """
        :param networkOperator: (Optional) 网络类型 0: non-BGP, 1: BGP
        """
        self.networkOperator = networkOperator

    def setBillingType(self, billingType):
        """
        :param billingType: (Optional) 计费类型 1:按配置 2:按用量 3:包年包月
        """
        self.billingType = billingType

    def setResourceIdList(self, resourceIdList):
        """
        :param resourceIdList: (Optional) resourceIdList
        """
        self.resourceIdList = resourceIdList

    def setExpireInDays(self, expireInDays):
        """
        :param expireInDays: (Optional) >0: 订单还有几天到期; ==0: 订单已经到期; <0: 不管是否到期
        """
        self.expireInDays = expireInDays

    def setIsOnTrial(self, isOnTrial):
        """
        :param isOnTrial: (Optional) isOnTrial
        """
        self.isOnTrial = isOnTrial

    def setSite(self, site):
        """
        :param site: (Optional) 站点信息 0:中国 1:国际
        """
        self.site = site

    def setStatus(self, status):
        """
        :param status: (Optional) 资源状态 1:正常 2:停服 3:删除
        """
        self.status = status

    def setBillingStatus(self, billingStatus):
        """
        :param billingStatus: (Optional) 计费状态 0:停止计费 1:计费中
        """
        self.billingStatus = billingStatus

    def setExpiringInDays(self, expiringInDays):
        """
        :param expiringInDays: (Optional) 1、内部计算，使用getExpiringOrderCount时使用，不用传值 默认为-1mybatis筛选时不会关注 2、selectResourceOrderForTask定时任务查询列表时使用，停服天数，必须大于0
        """
        self.expiringInDays = expiringInDays

    def setBillingTypeList(self, billingTypeList):
        """
        :param billingTypeList: (Optional) billingTypeList
        """
        self.billingTypeList = billingTypeList

    def setTransactionNos(self, transactionNos):
        """
        :param transactionNos: (Optional) 交易单号列表
        """
        self.transactionNos = transactionNos

    def setOpTypes(self, opTypes):
        """
        :param opTypes: (Optional) 
        """
        self.opTypes = opTypes

    def setStartTime(self, startTime):
        """
        :param startTime: (Optional) 开始时间
        """
        self.startTime = startTime

    def setEndTime(self, endTime):
        """
        :param endTime: (Optional) 结束时间
        """
        self.endTime = endTime

    def setServiceCode(self, serviceCode):
        """
        :param serviceCode: (Optional) 服务编码
        """
        self.serviceCode = serviceCode

    def setStatusList(self, statusList):
        """
        :param statusList: (Optional) statusList
        """
        self.statusList = statusList

    def setExcludeResources(self, excludeResources):
        """
        :param excludeResources: (Optional) excludeResources
        """
        self.excludeResources = excludeResources

    def setOrderByClaus(self, orderByClaus):
        """
        :param orderByClaus: (Optional) orderByClaus
        """
        self.orderByClaus = orderByClaus

    def setNode(self, node):
        """
        :param node: (Optional) 专有云节点的code（节点云查询使用）
        """
        self.node = node

    def setDepartmentId(self, departmentId):
        """
        :param departmentId: (Optional) 部门（节点云查询使用）
        """
        self.departmentId = departmentId

    def setPinList(self, pinList):
        """
        :param pinList: (Optional) 
        """
        self.pinList = pinList

    def setIsSpecial(self, isSpecial):
        """
        :param isSpecial: (Optional) 是否是专有云 1:是  其他不是
        """
        self.isSpecial = isSpecial

    def setNodeCode(self, nodeCode):
        """
        :param nodeCode: (Optional) 节点信息
        """
        self.nodeCode = nodeCode

    def setTimeout(self, timeout):
        """
        :param timeout: (Optional) 超时时间，暂时不用
        """
        self.timeout = timeout

    def setPageIndex(self, pageIndex):
        """
        :param pageIndex: (Optional) 当前页序号
        """
        self.pageIndex = pageIndex

    def setPageSize(self, pageSize):
        """
        :param pageSize: (Optional) 每页结果数量
        """
        self.pageSize = pageSize

    def setOffset(self, offset):
        """
        :param offset: (Optional) 
        """
        self.offset = offset

