# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class QueryResourceBillsRequest(JDCloudRequest):
    """
    查询资源账单列表
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(QueryResourceBillsRequest, self).__init__(
            '/regions/{regionId}/resourceBills', 'POST', header, version)
        self.parameters = parameters


class QueryResourceBillsParameters(object):

    def __init__(self, regionId, ):
        """
        :param regionId: 
        """

        self.regionId = regionId
        self.queryType = None
        self.appCode = None
        self.serviceCode = None
        self.billingType = None
        self.payType = None
        self.payState = None
        self.timeType = None
        self.startTime = None
        self.endTime = None
        self.ignoreZero = None
        self.resourceId = None
        self.site = None
        self.role = None
        self.region = None
        self.pageIndex = None
        self.pageSize = None

    def setQueryType(self, queryType):
        """
        :param queryType: (Optional) 查询类别   1：资源账单   2：消费记录
        """
        self.queryType = queryType

    def setAppCode(self, appCode):
        """
        :param appCode: (Optional) appCode
        """
        self.appCode = appCode

    def setServiceCode(self, serviceCode):
        """
        :param serviceCode: (Optional) serviceCode
        """
        self.serviceCode = serviceCode

    def setBillingType(self, billingType):
        """
        :param billingType: (Optional) billingType
        """
        self.billingType = billingType

    def setPayType(self, payType):
        """
        :param payType: (Optional) payType
        """
        self.payType = payType

    def setPayState(self, payState):
        """
        :param payState: (Optional) payState
        """
        self.payState = payState

    def setTimeType(self, timeType):
        """
        :param timeType: (Optional) timeType
        """
        self.timeType = timeType

    def setStartTime(self, startTime):
        """
        :param startTime: (Optional) startTime
        """
        self.startTime = startTime

    def setEndTime(self, endTime):
        """
        :param endTime: (Optional) endTime
        """
        self.endTime = endTime

    def setIgnoreZero(self, ignoreZero):
        """
        :param ignoreZero: (Optional) ignoreZero
        """
        self.ignoreZero = ignoreZero

    def setResourceId(self, resourceId):
        """
        :param resourceId: (Optional) resourceId
        """
        self.resourceId = resourceId

    def setSite(self, site):
        """
        :param site: (Optional) site
        """
        self.site = site

    def setRole(self, role):
        """
        :param role: (Optional) role
        """
        self.role = role

    def setRegion(self, region):
        """
        :param region: (Optional) region
        """
        self.region = region

    def setPageIndex(self, pageIndex):
        """
        :param pageIndex: (Optional) pageIndex
        """
        self.pageIndex = pageIndex

    def setPageSize(self, pageSize):
        """
        :param pageSize: (Optional) pageSize
        """
        self.pageSize = pageSize

