# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class GetDomainStatisticsRequest(JDCloudRequest):
    """
    查看域名的查询流量
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(GetDomainStatisticsRequest, self).__init__(
            '/regions/{regionId}/domain/{domainId}/stat', 'GET', header, version)
        self.parameters = parameters


class GetDomainStatisticsParameters(object):

    def __init__(self, regionId, domainId, action, domainName, start, end):
        """
        :param regionId: Region ID
        :param domainId: 域名ID
        :param action: 查询动作，"query"查询流量，"resolve"解析流量
        :param domainName: 域名
        :param start: 起始时间, UTC时间例如2017-11-10T23:00:00Z
        :param end: 终止时间, UTC时间例如2017-11-10T23:00:00Z
        """

        self.regionId = regionId
        self.domainId = domainId
        self.action = action
        self.domainName = domainName
        self.start = start
        self.end = end

