# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.


class InstanceSpec(object):

    def __init__(self, az, deviceType, imageType, osTypeId, sysRaidTypeId, dataRaidTypeId, networkType, name, password, count, charge, subnetId=None, enableInternet=None, cidr=None, lineType=None, bandwidth=None, description=None, softwares=None):
        """
        :param az:  可用区, 如 cn-east-1
        :param deviceType:  设备类型, 如 cps.c.normal
        :param imageType:  镜像类型, 取值范围：standard、standard_app
        :param osTypeId:  操作系统类型ID
        :param sysRaidTypeId:  系统盘raid类型Id
        :param dataRaidTypeId:  数据盘raid类型Id
        :param subnetId: (Optional) 子网编号
        :param enableInternet: (Optional) 是否启用外网，取值范围：yes、no
        :param networkType:  网络类型，目前只支持basic
        :param cidr: (Optional) 网络CIDR
        :param lineType: (Optional) 外网链路类型, 目前只支持bgp
        :param bandwidth: (Optional) 外网带宽, 范围[1,200] 单位Mbps
        :param name:  云物理服务器名称
        :param description: (Optional) 云物理服务器描述
        :param password:  密码
        :param count:  购买数量
        :param charge:  计费配置
        :param softwares: (Optional) 
        """

        self.az = az
        self.deviceType = deviceType
        self.imageType = imageType
        self.osTypeId = osTypeId
        self.sysRaidTypeId = sysRaidTypeId
        self.dataRaidTypeId = dataRaidTypeId
        self.subnetId = subnetId
        self.enableInternet = enableInternet
        self.networkType = networkType
        self.cidr = cidr
        self.lineType = lineType
        self.bandwidth = bandwidth
        self.name = name
        self.description = description
        self.password = password
        self.count = count
        self.charge = charge
        self.softwares = softwares
